E-MailRelay

Public Member Functions | List of all members
GAuth::Valid Class Referenceabstract

A trivial mix-in interface containing a valid() method. More...

`#include <gvalid.h>`

Inheritance diagram for GAuth::Valid:

## Public Member Functions
virtual bool | valid () const =0
| Returns true if a valid source of information. More...
virtual | ~Valid ()=default
| Destructor.

## Detailed Description

A trivial mix-in interface containing a valid() method.

Definition at line 34 of file gvalid.h.

## Member Function Documentation

## ◆ valid()

virtual bool GAuth::Valid::valid | ( |  | ) | const
| pure virtual

Returns true if a valid source of information.

Implemented in GAuth::Secrets.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gvalid.h